gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gtk.WindowTypeGType)) The type of

A can be one of these types. Most things you would consider a "window" should have type ; windows with this type are managed by the window manager and have a frame by default (call to toggle the frame). Windows with type are ignored by the window manager; window manager keybindings will not work on them, the window manager will not decorate the window with a frame, many GTK+ features that rely on the window manager will not work (e.g. resize grips and maximization/minimization).

is used to implement widgets such as or tooltips that you normally do not think of as windows per se. Nearly all windows should be . In particular, do not use just to turn off the window borders; use for instead.

- Field
  2.12.0.0
  Gtk.WindowType A special window such as a tooltip.
- Field
  2.12.0.0
  Gtk.WindowType A regular window, such as a dialog.